events.listen('jei.information', function (event) {
  event.add('silents_mechanisms:copper_ore', ['Copper Ore generates at Y levels 35 - ~65.'])
  event.add('silents_mechanisms:tin_ore', ['Tin Ore generates at Y levels 32 - ~55.'])
  event.add('silents_mechanisms:silver_ore', ['Silver Ore generates at Y levels 0 - ~40.'])
  event.add('silents_mechanisms:lead_ore', ['Lead Ore generates at Y levels 0 - ~30.'])
  event.add('silents_mechanisms:nickel_ore', ['Nickel Ore generates at Y levels 0 - ~24.'])
  event.add('silents_mechanisms:platinum_ore', ['Platinum Ore generates at Y levels 5 - ~20.'])
  event.add('silents_mechanisms:zinc_ore', ['Zinc Ore generates at Y levels 20 to ~50.'])
  event.add('silents_mechanisms:bismuth_ore', ['Bismuth Ore generates at Y levels 16 to ~54.'])
  event.add('silents_mechanisms:bauxite_ore', ['Bauxite Ore (aluminum) generates at Y levels 15 to ~50.'])
  event.add('silents_mechanisms:uranium_ore', ['Uranium Ore generates at Y levels 0 to ~18.'])
  event.add('appliedenergistics2:quartz_ore', ['Certus Quartz Ore generates at Y levels 12 - ~74.'])
  event.add('appliedenergistics2:charged_quartz_ore', ['Charged Certus Quartz Ore generates at Y levels 12 - ~74.'])
  event.add('mekanism:osmium_ore', ['Osmium Ore is generally found in similar generation patterns and amounts as iron, but at a lower world height, mine at Y levels 12 to 36 for best results.'])
  event.add('mekanism:fluorite_ore', ['Fluorite Ore generates at Y levels 0 - ~32.'])
  event.add('minecraft:coal_ore', ['Coal Ore is a very common ore that can be found underground, in relatively large deposits, 17 at the most.'])
  event.add('minecraft:iron_ore', ['Iron Ore is most commonly found underground (at y<68) in small veins up to 9.'])
  event.add('minecraft:redstone_ore', ['Redstone Ore is a type of ore found at y<16, in veins up to 8.'])
  event.add('minecraft:gold_ore', ['Gold Ore can be found at y<32, and y<80 in small veins in the Badlands biome. Veins can be up to 9 blocks each.'])
  event.add('minecraft:lapis_ore', ['Lapis Lazuli Ore is a "rare" ore block that can be found at y<34, in veins of up to 7 blocks each. It is common in abandoned mineshaft.'])
  event.add('minecraft:diamond_ore', ['Diamond Ore is rare, but useful ore. It is commonly found in savannas, desert and taiga biomes and is only found very deep underground, alongside with redstone. (at y<16) and in sparse veins of up to 8 blocks each.'])
  event.add('minecraft:emerald_ore', ['Emerald Ore is the rarest ore to date in Minecraft, 30 times more so than diamond ore. It almost always spawns in mountain biomes and only in one-block veins at y<33.'])
})